package com.example.hangry;

import jakarta.persistence.*;
import java.util.HashSet;
import java.util.Set;

@Entity
@Table(name = "`group`")
public class Group {

    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Long id;

    private String name;
    private String description;

    @ManyToMany
    @JoinTable(
            name = "group_users",
            joinColumns = @JoinColumn(name = "group_id"),
            inverseJoinColumns = @JoinColumn(name = "user_id")
    )
    private Set<User> members = new HashSet<>();

    @OneToMany(mappedBy = "group", cascade = CascadeType.ALL, orphanRemoval = true)
    private Set<GroupRecipe> sharedRecipes = new HashSet<>();

    public Group() {}

    public Group(String name, String description) {
        this.name = name;
        this.description = description;
    }

    // Getter und Setter

    public Long getId() {
        return id;
    }

    public String getName() {
        return name;
    }

    public String getDescription() {
        return description;
    }

    public Set<User> getMembers() {
        return members;
    }

    public Set<GroupRecipe> getSharedRecipes() {
        return sharedRecipes;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public void setName(String name) {
        this.name = name;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public void setMembers(Set<User> members) {
        this.members = members;
    }

    public void setSharedRecipes(Set<GroupRecipe> sharedRecipes) {
        this.sharedRecipes = sharedRecipes;
    }
}
