package com.example.hangry;

import jakarta.persistence.*;

@Entity
public class Ingredient {

    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Long id;

    private String name; // Name der Zutat

    private boolean isGlobal; // Flag, ob die Zutat global ist (true) oder benutzerspezifisch (false)

    @ManyToOne
    @JoinColumn(name = "user_id")  // Verknüpft mit der 'User'-Tabelle
    private User user;  // Hinzufügen einer 'user'-Beziehung

    public Ingredient() {
    }

    public Ingredient(String name, boolean isGlobal) {
        this.name = name;
        this.isGlobal = isGlobal;
    }

    // Getter und Setter
    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public boolean isGlobal() {
        return isGlobal;
    }

    public void setGlobal(boolean global) {
        isGlobal = global;
    }

    public User getUser() {
        return user;
    }

    public void setUser(User user) {
        this.user = user;
    }
}
