package com.example.hangry.security;

import io.jsonwebtoken.*;
import io.jsonwebtoken.security.Keys;
import org.springframework.stereotype.Component;

import java.security.Key;
import java.util.Date;

@Component
public class JwtUtil {
    private final String SECRET_KEY = "geheimeschluesselgeheimeschluessel"; // Sollte mind. 256 Bit lang sein
    private final long EXPIRATION_TIME = 1000 * 60 * 60; // 1 Stunde gültig

    private final Key key = Keys.hmacShaKeyFor(SECRET_KEY.getBytes());

    //Token generieren
    public String generateToken(String username) {
        return Jwts.builder()
                .setSubject(username)  // Benutzername in das Token schreiben
                .setIssuedAt(new Date()) // Zeitpunkt der Erstellung
                .setExpiration(new Date(System.currentTimeMillis() + EXPIRATION_TIME)) // Ablaufzeit setzen
                .signWith(key, SignatureAlgorithm.HS256) // Signieren mit geheimer Schlüssel
                .compact();
    }

    //Token validieren
    public boolean validateToken(String token) {
        try {
            Jwts.parserBuilder().setSigningKey(key).build().parseClaimsJws(token);
            return true;
        } catch (JwtException | IllegalArgumentException e) {
            return false;
        }
    }

    //Benutzername aus Token extrahieren
    public String extractUsername(String token) {
        return Jwts.parserBuilder().setSigningKey(key).build()
                .parseClaimsJws(token).getBody().getSubject();
    }
}
